curl -X DELETE https://kliio.app/api/v1/tasks/task-uuid-... \
-H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch('https://kliio.app/api/v1/tasks/task-uuid-...', {
method: 'DELETE',
headers: { Authorization: 'Bearer YOUR_API_KEY' }
})
const result = await res.json()
{
"success": true,
"message": "Task deleted"
}
{ "error": "Task not found or access denied" }
Tasks
Delete Task
Permanently deletes a task and all associated time entries.
DELETE
/
api
/
v1
/
tasks
/
{id}
curl -X DELETE https://kliio.app/api/v1/tasks/task-uuid-... \
-H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch('https://kliio.app/api/v1/tasks/task-uuid-...', {
method: 'DELETE',
headers: { Authorization: 'Bearer YOUR_API_KEY' }
})
const result = await res.json()
{
"success": true,
"message": "Task deleted"
}
{ "error": "Task not found or access denied" }
Headers
string
required
Bearer YOUR_API_KEYPath Parameters
string
required
UUID of the task to delete.
This action is irreversible.
Response
boolean
true on deletion.string
"Task deleted"curl -X DELETE https://kliio.app/api/v1/tasks/task-uuid-... \
-H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch('https://kliio.app/api/v1/tasks/task-uuid-...', {
method: 'DELETE',
headers: { Authorization: 'Bearer YOUR_API_KEY' }
})
const result = await res.json()
{
"success": true,
"message": "Task deleted"
}
{ "error": "Task not found or access denied" }

